Draft Array/sv: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(16 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{GuiCommand/sv|Name=Draft Array|Name/sv=Draft Array|Workbenches=[[Draft Module/sv|Draft]], [[Arch Module/sv|Arch]]|MenuLocation=Draft → Array|SeeAlso=[[Draft PathArray/sv|PathArray]]}}
{{Docnav
|
|
|[[Draft_Workbench|Draft]]
|IconL=
|IconR=
|IconC=Workbench_Draft.svg
}}

{{VeryImportantMessage|THIS COMMAND IS OBSOLETE<br>
It is not be available in {{VersionPlus|0.21}}. Use [[Draft_OrthoArray|Draft OrthoArray]], [[Draft_PolarArray|Draft PolarArray]] or [[Draft_CircularArray|Draft CircularArray]] instead.}}

<div class="mw-translate-fuzzy">
{{GuiCommand/sv|Name=Draft Array|Name/sv=Draft Array|Workbenches=[[Draft_Workbench/sv|Draft]], [[Arch_Workbench/sv|Arch]]|MenuLocation=Draft → Array|SeeAlso=[[Draft PathArray/sv|PathArray]]}}
</div>


==Description==
==Description==
The Array tool creates an orthogonal (3-axes) or polar array from a selected object. If no object is selected, you will be invited to select one.


The [[Image:Draft_Array.svg|24px]] '''Draft Array''' command creates an orthogonal (3-axes) array from a selected object. The created array can be turned into a [[Draft_PolarArray|polar array]] or a [[Draft_CircularArray|circular array]] by changing its {{PropertyData|Array Type}} property.
[[Image:Draft_Array_example.jpg|400px]]


The command can be used on 2D objects created with the [[Draft_Workbench|Draft Workbench]] or [[Sketcher_Workbench|Sketcher Workbench]], but also on many 3D objects such as those created with the [[Part_Workbench|Part Workbench]], [[PartDesign_Workbench|PartDesign Workbench]] or [[Arch_Workbench|Arch Workbench]].
==How to use==
# Select an object you wish to make an array with
# Press the {{KEY|[[Image:Draft Array.png|16px]] [[Draft Array]]}} button
# Select {{PropertyData|Array Type}}: Specifies the type of the array, ortho or polar
# For orthogonal arrays:
## {{PropertyData|Interval X}}: The interval between each copy on the first axis
## {{PropertyData|Interval Y}}: The interval between each copy on the second axis
## {{PropertyData|Interval Z}}: The interval between each copy on the third axis
## {{PropertyData|Number X}}: The number of copies on the first axis
## {{PropertyData|Number Y}}: The number of copies on the second axis
## {{PropertyData|Number Z}}: The number of copies on the third axis
# For polar arrays:
## {{PropertyData|Axis}}: The normal direction of the array circle
## {{PropertyData|Center}}: The center point of the array
## {{PropertyData|Angle}}: The angle to cover with copies
## {{PropertyData|Number Polar}}: The number of copies


This command is now obsolete. Use the [[Draft_OrthoArray|Draft OrthoArray]], [[Draft_PolarArray|Draft PolarArray]] or [[Draft_CircularArray|Draft CircularArray]] command instead.
==Scripting==
The Array tool can by used in [[macros]] and from the python console by using one of the following functions, depending if you wish to obtain simple, standalone copies of your base object, or a parametric array object, that stays linked to the original object.


==Usage==
=== Simple array ===
For rectangular array:
{{Code|code=
array (objectslist,xvector,yvector,xnum,ynum)
array (objectslist,xvector,yvector,zvector,xnum,ynum,znum)
}}
For polar array:
{{Code|code=
array (objectslist,center,totalangle,totalnum)
}}
* Creates an array of the objects contained in list (that can be an object or a list of objects) with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum, and same for z direction with zvector and znum if that version is used. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
* This function produces standalone copies of the base object(s)


# To use this command in FreeCAD version 0.19 and later you need to add a button to a custom toolbar. See [[Interface_Customization|Interface Customization]].
=== Parametric array ===
# Optionally select one object.
# Press the {{Button|[[Image:Draft_Array.svg|16px]] [[Draft_Array|Draft Array]]}} button.
# If you have not yet selected an object: select one object.
# The array is created.
# Optionally change its [[Draft_OrthoArray#Properties|properties]].


==Properties==
For rectangular array:
{{Code|code=
makeArray (object,xvector,yvector,xnum,ynum,[name])
makeArray (object,xvector,yvector,zvector,xnum,ynum,znum,[name])
}}
For polar array:
{{Code|code=
makeArray (object,center,totalangle,totalnum,[name])
}}
* Creates an array of the given object with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum, and for zvector and znum if that version is used. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
* The result of this function is a parametric Draft Array object.


See [[Draft_OrthoArray#Properties|Draft OrthoArray]].
Example:
{{Code|code=
import FreeCAD,Draft
Draft.array(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,0,0),FreeCAD.Vector(0,2,0),2,2)


==Scripting==

See [[Draft_OrthoArray#Scripting|Draft OrthoArray]].


{{Docnav
|
|
|[[Draft_Workbench|Draft]]
|IconL=
|IconR=
|IconC=Workbench_Draft.svg
}}
}}

{{clear}}
{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 08:25, 20 May 2023

THIS COMMAND IS OBSOLETE
It is not be available in version 0.21 and above. Use Draft OrthoArray, Draft PolarArray or Draft CircularArray instead.

Draft Array

Menyplacering
Draft → Array
Arbetsbänkar
Draft, Arch
Standard genväg
Ingen
Introducerad i version
-
Se även
PathArray

Description

The Draft Array command creates an orthogonal (3-axes) array from a selected object. The created array can be turned into a polar array or a circular array by changing its DataArray Type property.

The command can be used on 2D objects created with the Draft Workbench or Sketcher Workbench, but also on many 3D objects such as those created with the Part Workbench, PartDesign Workbench or Arch Workbench.

This command is now obsolete. Use the Draft OrthoArray, Draft PolarArray or Draft CircularArray command instead.

Usage

  1. To use this command in FreeCAD version 0.19 and later you need to add a button to a custom toolbar. See Interface Customization.
  2. Optionally select one object.
  3. Press the Draft Array button.
  4. If you have not yet selected an object: select one object.
  5. The array is created.
  6. Optionally change its properties.

Properties

See Draft OrthoArray.

Scripting

See Draft OrthoArray.